Skip to main content
POST
Batch Import Urls

Body

application/json

Request body for batch URL import with processing.

urls
string[]
required

URLs to import and analyze

Required array length: 1 - 50 elements
entity_id
string | null

Entity UUID to scope content to

question
string | null

Focus query for synthesis (auto-generated if empty)

depth
enum<string> | null
default:brief
Available options:
brief,
deep
project_id
string | null
workspace_id
string | null
request_id
string | null
Required string length: 8 - 128

Response

Successful Response